/* The Modal (background) */

.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4);
    /* Black w/ opacity */
}


/* Modal Content/Box */

.modal-content {
    top: 120px;
    background-color: #fefefe;
    margin: 15% auto;
    /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    /* Could be more or less, depending on screen size */
}


/* The Close Button */

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}


/* Modal Header */

.modal-header {
    padding: 9px;
    background-color: #efefef;
    color: #46146c;
    font-weight: bold;
}


/* Modal Body */

.modal-body {
    padding: 10px;
}


/* Modal Footer */

.modal-footer {
    padding: 9px;
    background-color: #eeeeee;
    color: #46146c;
    font-weight: bold;
}


/* Modal Content */

.modal-content {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 0;
    border: 1px solid #888;
    width: 570px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s
}


/* Add Animation */

@-webkit-keyframes animatetop {
    from {
        top: -300px;
        opacity: 0
    }
    to {
        top: 0;
        opacity: 1
    }
}

@keyframes animatetop {
    from {
        top: -300px;
        opacity: 0
    }
    to {
        top: 0;
        opacity: 1
    }
}


/* ---------------------------------------- */

#web-app-email_form {
    border-collapse: collapse;
    width: 100%;
}

#web-app-email_form td {
    padding: 10px;
}

.web-app-email-popup-title {
    font-weight: bold;
}

#web-app-email_html_content {
    border: 1pt dotted grey;
    padding: 10px;
}

.web-app-btn-purple {
    border: none;
    padding: 7px;
    color: #46146c;
    background: #eeeeee;
    font-weight: bold;
    cursor: pointer;
    transition: 0.4s;
    width: 80px;
    margin-right: 10px;
}

.web-app-btn-purple:hover {
    color: #eeeeee;
    background: #46146c;
    transition: 0.4s;
}

.web-app-btn-red {
    border: none;
    padding: 7px;
    color: #99270b;
    background: #eeeeee;
    font-weight: bold;
    cursor: pointer;
    transition: 0.4s;
    width: 80px;
}

.web-app-btn-red:hover {
    color: #eeeeee;
    background: #99270b;
    transition: 0.4s;
}

#web-app-email_subject,
#web-app-email_pdf_name {
    font-weight: bold;
    font-size: 16px;
}

.web-app-email-loader {
    height: 120px;
}

#web-app-loader_container {
    display: none;
    padding: 40px;
}

#web-app-loader_container p {
    font-weight: bold;
    text-align: center;
    font-size: 20px;
    color: #4a1469;
}

.web-app-footer-btn-container {
    text-align: right;
}


/*--------------------------------------------*/

.modal .web-app-textarea {
    border: 1px solid #000;
    border-radius: 4px;
    width: 90%;
    height: 130px;
    resize: vertical;
}

.modal input[type="text"],
select,
input[type="email"],
input[type="password"] {
    border: 1px solid #000;
    border-radius: 4px;
    width: 90%;
    height: 25px;
    font-size: 14px;
    vertical-align: middle;
    padding-top: 2px;
    text-indent: 0.3em;
}

.modal .web-app-info-text {
    float: right;
    margin-right: 2em;
    color: #3355DC;
    font-size: 11px;
}

.modal-table-size {
    display: block;
    overflow: auto;
}

@media only screen and (max-width: 500px) {
    .modal-content {
        width: 310px;
    }
}

@media only screen and (min-width: 500px) {
    .modal input[type="text"], select, input[type="email"], input[type="password"] {
        width: 350px;
    }
}